<!--#include virtual="../head-pretitle.html"-->
<!--#set var="this" value="mit-from-west" -->
<title>Tech Squares &mdash; Driving from West</title>
<!--#include virtual="../head-posttitle-subdir.html"-->
<div id="main">
<h1>Directions to Tech Squares from the West</h1>

<h2>How to drive to the MIT Student Center from the Massachusetts
Turnpike.</h2>

<p>
Coming east on the <strong>Mass Pike</strong>, surrender ticket and pay toll
at barrier toll plaza, labeled "exit 15" even
though it is not an exit.
</p><p>
Continue another 7.5 miles on the Pike to
<strong>Exit 18, "Brighton/Cambridge"</strong>.
This is a left exit.  Pay $1 toll.
</p><p>
Take <strong>Right fork</strong> at bottom of ramp after
toll booth, "Cambridge/Somerville."
</p><p>
Go through 2 quick sets of lights.
</p><p>
Go <strong>over bridge</strong> (Charles River).   You are on River Street.
</p><p>
At end of bridge,
turn <strong>Right onto Memorial Drive</strong> (no street sign). 
Continue on Mem. Drive past the next bridge. 
Then, at the <strong>first real light</strong>, just past a
Hyatt Regency hotel on your left, make a <strong>Left</strong>. 
(This is Amesbury St, but there's no street sign here.)
</p><p>
At the end of the street (one block), turn <strong>Right</strong> onto Vassar St. 
(Vassar also has no sign.)
</p><p>
About half a mile up on the left, opposite the large brick building on
the right, is the West Garage.   You cannot park in the garage
itself (it is gated), but you can park on the street there.  There are
also <a href="directions/parking.html">other parking options</a> available.
</p><p>
After parking, cross Vassar Street, walk along Vassar to Mass Ave,
turn Right, and the Student Center will be the second building on your
right, a five-story concrete building. 
We dance on the second floor. 
The walk takes about 6 minutes.
</p><p>
<a href="http://whereis.mit.edu/map-jpg?zoom=level3;centerx=708920;centery=495350;selectlayer=Parking">
Map of the area of the West Garage and the Student Center</a>. 
The Student Center is MIT building W20, 84 Mass. Ave.
</p>

</div> <!-- main -->
<!--#include virtual="../footer.html"-->
